#!/usr/bin/env python

from pylab import *
from mpl_toolkits.mplot3d import Axes3D
from matplotlib import cm
import sys

xedges, yedges, counts = loadtxt(sys.stdin, unpack=True, usecols=[0,2,4])
bins = (30, 60)
counts = counts.reshape(bins)

plt.rcParams['font.size'] = 15
suptitle('Angular decay distribution')
# subplot2grid((1, 3), (0, 0), colspan=2, aspect='equal')
xlabel(r'$\phi$ (radians)')
ylabel(r'$\theta$ (radians)')
pcolor(yedges[:bins[1]], xedges[::bins[1]], counts)
norm = colorbar(fraction=0.023, pad=0.04).norm

show()

# Ax = subplot2grid((1, 3), (0, 2), projection='3d')
# Θ, φ = mgrid[0:pi:bins[0]*1j, 0:2*pi:bins[1]*1j]
# X = 5 * sin(θ) * cos(φ)
# Y = 5 * sin(θ) * sin(φ)
# Z = 5 * cos(θ)
# Ax.plot_surface(
#     x, y, z, rstride=1, cstride=1,
#     facecolors=cm.viridis(norm(counts)))
# Axis('off')
# show()
